estrela = {}

estrelas = {}

local estrelaTempo = 0
local estrelaFreq = 1

-- Configurações das Estrelas --
function estrela.load()
  estrela = {}
  estrela.img = imagem("estrela.png") -- Define uma imagem para a estrela
  estrela.w = 30 -- Define a largura da imagem
  estrela.h = 30 -- Define a altura da imagem
  estrela.x = math.random(0, largura - estrela.w) -- Faz a estrela descer em um local aleatório
  estrela.y = -estrela.h
  estrela.speed = math.random(50, 200) -- Define uma velocidade aleatória para a estrela
  estrela.remover = false -- Faz com que a estrela seja removida, caso seja "true"

  -- Coloca a estrela num recipiente --
  table.insert(estrelas, estrela)
end
  
function estrela.update(dt)
  -- Move a estrela --
  estrela.y = estrela.y + estrela.speed * dt
  
  -- Caso a estrela saia da tela, o player perde 1 de vida e ela é deletada --
  if estrela.y > altura then 
    estrela.remover = true
    vida = vida - 1 
  end

  -- Spawna(coloca na tela) as estrelas --
  estrelaTempo = estrelaTempo + dt -- Adiciona um valor(tempo) à variável
  if estrelaTempo > estrelaFreq then -- Caso o tempo seja maior que a frequência outra estrela é criada e o tempo volta a zero
    estrela.load()
    estrelaTempo = 0
  end
  
  -- Atualiza as configurações das estrelas
  for i, estrela in ipairs(estrelas) do
    if not estrela.remover then
      estrela.update(dt)
    else
      table.remove(estrelas, i)
    end
  end
end
  
-- Desenha a estrela --
function estrela.draw()
  desenhar(estrela.img, estrela.x, estrela.y)
  love.graphics.setColor(255, 255, 255)
end