jogo = {}

require("nave")
require("tiro")
require("estrela")

-- Variáveis -- 
largura, altura = love.window.getDimensions()

-- Checa se há uma colisão entre A e B
function boxCollision(a, b)
  return a.x + a.w > b.x and a.x < b.x + b.w and
  a.y + a.h > b.y and a.y < b.y + b.h
end

----------------
function jogo.load()
  tela_jogo = "jogo"

  nave.load()
  estrela.load()
  tiro.load(x, y, speed)

  background = imagem("bg3.png")
  acertos = 0 -- Variável para contar quantas estrelas foram acertadas
  vida = 5 -- Variável que define o número de vidas do player
end


function jogo.update(dt)
  -- Caso a vida do player chegue a zero, o jogo encerra --
  if vida <= 0 then
    tela_jogo = "menu"
  end

  -- Atualiza as configurações da nave --
  nave.update(dt)

  -- Atualiza as configurações da estrela --
  estrela.update(dt)
  
  -- Atualiza as configurações do tiro --
  tiro.update(dt)

-- Detecta se há colisão entre a estrela e o tiro --
-- Caso haja a estrela e o tiro são removidos e adiciona +1 ao contador(acertos) --
  for i, estrela in ipairs(estrelas) do
    for k, tiro in ipairs(tiros) do
      if boxCollision(estrela, tiro) then
        tiro.remover = true
        estrela.remover = true
        acertos = acertos + 1
      end
    end
  end
  
end


function jogo.draw()
  -- Desenha um background(fundo de tela) --
  desenhar(background, 0, 0)

  -- Desenha a nave --
  nave.draw()
  
  -- Desenha todos os tiros --
  for i, tiro in ipairs(tiros) do
    tiro.draw()
  end

  -- Desenha todas as estrelas --
  for i, estrela in ipairs(estrelas) do
    estrela.draw()
  end
  
  -- Algumas informações que aparecem na tela --
  love.graphics.print("FPS: "..love.timer.getFPS(), 10, 10)
  love.graphics.print("Acertos: "..acertos, 10, 30)
  love.graphics.print("Vidas: "..vida, 10, 50)
  
end


function jogo.keypressed(key)
  -- Caso a tela "Esc"(escape) for apertada, o jogo encerra.
  if key == "escape" then 
    tela_jogo = "menu" 
  end
end
