nave = {}

-- Configurações da Nave --
function novaNave(x, y)
  nave = {}
  nave.x = x or 0
  nave.y = y or 0
  nave.img = imagem("nave.png")
  nave.w = 72
  nave.h = 71
  nave.speed = 500
  nave.tiroFreq = .2
  nave.tiroTempo = 0
  nave.remover = false
end

function nave.load()
  -- Cria a nave --
  nave = novaNave(largura / 2 - 32, altura - 96)
end
  
function nave.update(dt)
  -- Movimenta a nave e evita que ela saia da tela --
  if love.keyboard.isDown("left") and nave.x > 0 then 
    nave.x = nave.x - nave.speed * dt 
  end
  if love.keyboard.isDown("right") and nave.x + nave.w < largura then
    nave.x = nave.x + nave.speed * dt 
  end
    
  -- Faz a nave atirar --
  nave.tiroTempo = nave.tiroTempo - dt
  if nave.tiroTempo < 0 and love.keyboard.isDown(" ") then
    novoTiro(nave.x + nave.w / 2 - 2, nave.y)
    nave.tiroTempo = nave.tiroFreq
  end
end
  
-- Desenha a nave --
function nave.draw()
  desenhar(nave.img, nave.x, nave.y)
  love.graphics.setColor(255, 255, 255)
end