tiro = {}

tiros = {}

-- Configurações dos Tiros --
function tiro.load(x, y, speed)
  tiro = {}
  tiro.x = x
  tiro.y = y
  tiro.w = 5
  tiro.h = 10
  tiro.speed = speed or -500
  tiro.remover = false

  -- Coloca o tiro dentro do recipiente --
  table.insert(tiros, tiro)
end
  
function tiro.update(dt)
  -- Move o tiro --
  tiro.y = tiro.y + tiro.speed * dt
   
  -- Se o tiro sair da tela será deletado --
  if tiro.y + tiro.h < 0 then 
    tiro.remover = true 
  end

  -- Atualiza os tiros no recipiente --
  for i, tiro in ipairs(tiros) do
    -- Checa se a variável tiro.remover está "true", caso esteja o tiro é removido do recipiente --
    if not tiro.remover then
      tiro.update(dt)
    else
      table.remove(tiros, i)
    end
  end
end
  
-- Desenha o tiro --
function tiro.draw()
  love.graphics.setColor(255, 0, 0) -- Define a cor do tiro para vermelho
  love.graphics.rectangle("fill", tiro.x, tiro.y, tiro.w, tiro.h) -- Define o formato do tiro e se ele é cheio ou vazio
  love.graphics.setColor(255, 255, 255)
end
  
